## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream has not included tests yet, but there is a scaffolding for adding
# them in the future.
%bcond_with     tests

%global         srcname     azure-mgmt-iotcentral

Name:           python-%{srcname}
Version:        10.0.0~b1
%global         pypi_version    10.0.0b1
Release:        %autorelease
Summary:        Microsoft Azure IoTCentral Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

Epoch:          2

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure IoTCentral Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


# LICENSE missing. Made PR to fix.
# https://github.com/Azure/azure-sdk-for-python/pull/20167
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2:10.0.0~b1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2:10.0.0~b1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2:10.0.0~b1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2:10.0.0~b1-7
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 2:10.0.0~b1-6
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2:10.0.0~b1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2:10.0.0~b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 2:10.0.0~b1-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2:10.0.0~b1-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 2:10.0.0~b1-1
- Update to 10.0.0~b1

* Thu Jan 20 2022 Major Hayden <major@mhtx.net> - 2:9.0.0-2
- Bump revision

* Thu Jan 20 2022 Major Hayden <major@redhat.com> - 2:9.0.0-1
- Set epoch to 2 to work around beta version

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> - 1:9.0.0-1
- Update to 9.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:9.0.0b1-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:9.0.0b1-1
- Update to 9.0.0b1

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:4.1.0-2
- Update docs file list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:4.1.0-1
- Add epoch number for 4.1.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 9.0.0b1-1
- Upgrade to 9.0.0b1

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 4.1.0-1
- Initial import (#1971811)
## END: Generated by rpmautospec
